Entertainment

Match a program using Title, Year, Cast, Director.

get

Testing new Index seasrch: Requires a valid program type and at least a title. Matches to Entertainment Programs of given type, returns all candidates that achieved the highest score, ties possible.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
ProgramTypestring · enumRequired

Type of Program to be matched.

Possible values:
MatchForShowbooleanOptional

Set to true to also match for shows

EntertainmentIdinteger · int64Optional

Id of Entertainment program to be matched against, if this is set no search is run and data is compared to this program only.

TitlestringOptional

Title of Program to be matched.

AlternateTitlesstring[]Optional

Alternate Titles of Program to be matched.

Yearinteger · int32Optional

Release Year of Program to be matched.

Caststring[]Optional

Cast members of Program to be matched.

Producersstring[]Optional

Producers of Program to be matched.

Directorsstring[]Optional

Directors of Program to be matched.

DescriptionstringOptional

Description of Program to be matched.

OriginatingNetworkstringOptional

Originating network of SHOW Program to be matched.

ReleaseDatestring · date-timeOptional

Release Date of Program to be matched.

StringDistanceinteger · int32Optional

For fuzzy title match, default is 4, set to 0 for no fuzzy match.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

MatchToEntertainmentProgramResponse

Scoreinteger · int32Optional

Score of the match to Entertainment.

SuccessbooleanOptional

Status of match operation.

AltTitleMatchbooleanOptional

Status of match operation.

FUzzyTtleMatchbooleanOptional

Status of match operation.

EntertainmentIdinteger · int64Optional

Entertainment program ID on successful match.

DescriptionstringOptional

Description of match operation result.

Tookinteger · int64Optional

Elastic search time elapsed.

get
/Match/

Match a program using Title, Year, Cast, Director.

post

Testing new Index seasrch: Requires a valid program type and at least a title. Matches to Entertainment Programs of given type, returns all candidates that achieved the highest score, ties possible.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Body
ProgramTypestringRequired

Type of Program to be matched.

MatchForShowbooleanOptional

Set to true to also match for shows

EntertainmentIdintegerOptional

Id of Entertainment program to be matched against, if this is set no search is run and data is compared to this program only.

TitlestringOptional

Title of Program to be matched.

AlternateTitlesarrayOptional

Alternate Titles of Program to be matched.

YearintegerOptional

Release Year of Program to be matched.

CastarrayOptional

Cast members of Program to be matched.

ProducersarrayOptional

Producers of Program to be matched.

DirectorsarrayOptional

Directors of Program to be matched.

DescriptionstringOptional

Description of Program to be matched.

OriginatingNetworkstringOptional

Originating network of SHOW Program to be matched.

ReleaseDatestringOptional

Release Date of Program to be matched.

StringDistanceintegerOptional

For fuzzy title match, default is 4, set to 0 for no fuzzy match.

Responses
chevron-right
200

OK.

MatchToEntertainmentProgramResponse

Scoreinteger · int32Optional

Score of the match to Entertainment.

SuccessbooleanOptional

Status of match operation.

AltTitleMatchbooleanOptional

Status of match operation.

FUzzyTtleMatchbooleanOptional

Status of match operation.

EntertainmentIdinteger · int64Optional

Entertainment program ID on successful match.

DescriptionstringOptional

Description of match operation result.

Tookinteger · int64Optional

Elastic search time elapsed.

post
/Match/

Gets a list of possible Entertainment program matches.

get

Testing new Index seasrch: Requires at least a title. Returns a list a match candidates with confidence scores..

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
TitlestringRequired

Title of Program to be matched.

Yearinteger · int32Optional

Release Year of Program to be matched.

ReleaseDatestring · date-timeOptional

Release Date of Program to be matched.

CertificationstringOptional

Certification of Program to be matched.

Runtimeinteger · int32Optional

RunTime (in minutes) of Program to be matched.

OriginatingNetworkstringOptional

Originating network of SHOW Program to be matched.

DescriptionstringOptional

Description of Program to be matched.

Caststring[]Optional

Cast members of Program to be matched.

Directorsstring[]Optional

Directors of Program to be matched.

Producersstring[]Optional

Producers of Program to be matched.

CompanystringOptional

Company of Program to be matched.

GenrestringOptional

Genre of Program to be matched.

ThemestringOptional

Theme of Program to be matched.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

EntertainmentMatchCandidatesResponse

SuccessbooleanOptional

Status of match operation.

MessagestringOptional
get
/GetEntertainmentMatchCandidates

Gets a list of possible Entertainment program matches.

post

Testing new Index seasrch: Requires at least a title. Returns a list a match candidates with confidence scores..

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Body
TitlestringRequired

Title of Program to be matched.

YearintegerOptional

Release Year of Program to be matched.

ReleaseDatestringOptional

Release Date of Program to be matched.

CertificationstringOptional

Certification of Program to be matched.

RuntimeintegerOptional

RunTime (in minutes) of Program to be matched.

OriginatingNetworkstringOptional

Originating network of SHOW Program to be matched.

DescriptionstringOptional

Description of Program to be matched.

CastarrayOptional

Cast members of Program to be matched.

DirectorsarrayOptional

Directors of Program to be matched.

ProducersarrayOptional

Producers of Program to be matched.

CompanystringOptional

Company of Program to be matched.

GenrestringOptional

Genre of Program to be matched.

ThemestringOptional

Theme of Program to be matched.

Responses
chevron-right
200

OK.

EntertainmentMatchCandidatesResponse

SuccessbooleanOptional

Status of match operation.

MessagestringOptional
post
/GetEntertainmentMatchCandidates

Perform a match to Entertainment Season by sequence using Show Id and Season number, match title and year aslo for a better score.

get

Requires a valid Show Id and Season number to match to an Entertainment Season by sequence.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
ShowIdinteger · int64Required

Id of Show this Season belongs to

SeasonNumberinteger · int32Required

Season number within Show.

TitlestringOptional

Title of Season to be matched.

Yearinteger · int32Optional

Release Year of Season to be matched.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

MatchToEntertainmentSeasonBySequenceResponse

SuccessbooleanOptional
SeasonIdinteger · int64Optional
Scoreinteger · int32Optional
MessagestringOptional
get
/MatchSeasonBySequence

Perform a match to Entertainment Season by sequence using Show Id and Season number, match title and year aslo for a better score.

post

Requires a valid Show Id and Season number to match to an Entertainment Season by sequence.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Body
ShowIdintegerRequired

Id of Show this Season belongs to

SeasonNumberintegerRequired

Season number within Show.

TitlestringOptional

Title of Season to be matched.

YearintegerOptional

Release Year of Season to be matched.

Responses
chevron-right
200

OK.

MatchToEntertainmentSeasonBySequenceResponse

SuccessbooleanOptional
SeasonIdinteger · int64Optional
Scoreinteger · int32Optional
MessagestringOptional
post
/MatchSeasonBySequence

Perform a match to Entertainment Episode by sequence using Show Id, Season number and Episode number, match title and year aslo for a better score.

get

Requires a valid Show Id, Season number and Episode number to match to an Entertainment Episode by sequence.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
ShowIdinteger · int64Required

Id of Show this Season belongs to

SeasonNumberinteger · int32Required

Number of Season this Episode belongs to, within Show.

EpisodeNumberinteger · int32Required

Episode number within Season.

TitlestringOptional

Title of Episode to be matched.

Yearinteger · int32Optional

Release Year of Episode to be matched.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

MatchToEntertainmentEpisodeBySequenceResponse

SuccessbooleanOptional
EpisodeIdinteger · int64Optional
TitlestringOptional
Yearinteger · int32Optional
Scoreinteger · int32Optional
MessagestringOptional
get
/MatchEpisodeBySequence

Perform a match to Entertainment Episode by sequence using Show Id, Season number and Episode number, match title and year aslo for a better score.

post

Requires a valid Show Id, Season number and Episode number to match to an Entertainment Episode by sequence.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Body
ShowIdintegerRequired

Id of Show this Season belongs to

SeasonNumberintegerRequired

Number of Season this Episode belongs to, within Show.

EpisodeNumberintegerRequired

Episode number within Season.

TitlestringOptional

Title of Episode to be matched.

YearintegerOptional

Release Year of Episode to be matched.

Responses
chevron-right
200

OK.

MatchToEntertainmentEpisodeBySequenceResponse

SuccessbooleanOptional
EpisodeIdinteger · int64Optional
TitlestringOptional
Yearinteger · int32Optional
Scoreinteger · int32Optional
MessagestringOptional
post
/MatchEpisodeBySequence
get

Search movies, shows, seasons, episodes, and games. Each image in our database is related to a specific movie, TV or game title and is promotional of that title. If you have title pages or articles about that title, then offering an image gallery on that page is obviously promotional. If you are doing editorial about another topic and use an image from IVA, you need to reference or otherwise indicate the title of the film, TV show or game so as to be promotional.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Idsstring[]Optional

Search by one or more Ids. Ex: Movie/123.

Skipinteger · int32Optional

Rows to skip, used for paging. Default is 0.

Takeinteger · int32Optional

Rows to return, used for paging. Default is 10, limit is 10.

AvailabilityCountriesstring[]Optional

List of 2 character country codes.

Genresstring[]Optional

List of genres (movie and show).

Themesstring[]Optional

List of themes (movie and show).

Tagsstring[]Optional

List of tags (movie and show).

Certificationsstring[]Optional

List of certifications for movie and show.

PersonNamesstring[]Optional

List of names. Maximum of 3.

PeopleIdsstring[]Optional

Person Ids. Currently supports one person.

Jobsstring[]Optional

List of Jobs a contributor can have.

ReleaseCountriesstring[]Optional

List of 2 character country codes when filtering on releases.

YearRange_Startinteger · int32Optional

Filter results based on start and end original release year.

YearRange_Endinteger · int32Optional

Filter results based on start and end original release year.

ReleaseDateRange_Startstring · date-timeOptional

Filter results based on any release date range.

ReleaseDateRange_Endstring · date-timeOptional

Filter results based on any release date range.

OriginalReleaseDateRange_Startstring · date-timeOptional

Filter results based on original release date range.

OriginalReleaseDateRange_Endstring · date-timeOptional

Filter results based on original release date range.

PackagestringOptional

Package is based on subscription which will be set at the customer level.

TitlestringOptional

Title search.

ShowIdstringOptional

Filter results to match a show. Use for locating seasons and episodes for a show.

SeasonIdstringOptional

Filter results to match a season. Use for locating episodes for a season.

Culturestring · enumOptional

Specify the country and language

Possible values:
ExternalIdstringOptional

Filter results matching external Id

ExternalIdTypestringOptional

Filter results matching external Id

CompanyNamestringOptional

Filter results matching company name

HasVideobooleanOptional

Filter results based on having video content

VideoIdinteger · int64[]Optional

Filter results based on matching Video ID.

VideoTargetCountriesstring[]Optional

List of 2 character country codes when filtering on video target countries.

VideoTargetLanguagesstring[]Optional

Specify video target languages. This takes into consideration both language spoken and language subtitled.

SortByTimeStampbooleanOptional

Sort results based on last modified descending. Default is sorted by _score. DEPRECIATED! Use SortBy instead.

SortBystring · enumOptional

SortBy

Possible values:
ModifiedRecordsSincestring · date-timeOptional

Filter results based on timestamp. Returns >= value timestamp (UTC) provided.

OriginatingNetworksstring[]Optional

The Network the current first run shows appear on. Ex: ABC, NBC, Netflix, etc.

Statusstring[]Optional

The status of the movie or show. Ex: Returning_Series, in_production, etc.

OriginalLanguagesstring[]Optional

The original language of the program.

Revenueinteger · int64Optional

Filter results where movie revenue is greater than or equal to this value.

Budgetinteger · int64Optional

Filter results where movie budget is greater than or equal to this value.

Minimum_IvaRatinginteger · int32Optional

Filter results with a minimum Rating greater than or equal to this value. (0 to 100)

Minimum_EncodeDatestring · date-timeOptional

Filter results based on encode date.

IncludeDeletedbooleanOptional

Include Soft Deleted Records. Default (false)

TrendSourceIdsinteger · int32[]Optional

Program Trend Source Ids. Ex: 2,3.

TrendCountriesstring[]Optional

Program Trend Countries. Ex: US,CA.

MissingExternalIdNamesstring[]Optional

List of External ID Names that will be used to find where they DO NOT exist.

BasedOnsstring[]Optional

List of string

BasedOnInstanceOfsstring[]Optional

List of string

FilmingLocationsstring[]Optional

List of string

NarrativeLocationsstring[]Optional

List of string

TimePeriodsstring[]Optional

List of string

Subjectsstring[]Optional

List of string

MicroGenresstring[]Optional

List of string

AwardYearsinteger · int32[]Optional

List of award years to filter on.

AwardProgramIdsstring[]Optional

Limit to awards based on ProgramIds.

AwardPersonIdsstring[]Optional

Limit to awards based on PersonIds.

AwardWinnersbooleanOptional

Limit to award winners.

MatureVideobooleanOptional

Limit to programs that have mature video content.

NextPageTokenstringOptional

Used for deep paging of record (typically beyond 10,000). Provide the NextPageToken returned from search results when using Timestamp sorting for optimal performance while paging large result sets. Skip is ignored when this parameter is provided.

CollectionIdsstring[]Optional

Filter programs by list of CollectionIds

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

SearchEntertainmentResponse

Tookinteger · int64Optional
Totalinteger · int64Optional
MaxScorenumber · doubleOptional
MessagestringOptional
NextPageTokenstringOptional
get
/Search/

Search all entertainment programs.

post

Search movies, shows, seasons, episodes, and games. Each image in our database is related to a specific movie, TV or game title and is promotional of that title. If you have title pages or articles about that title, then offering an image gallery on that page is obviously promotional. If you are doing editorial about another topic and use an image from IVA, you need to reference or otherwise indicate the title of the film, TV show or game so as to be promotional.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Body
IdsarrayOptional

Search by one or more Ids. Ex: Movie/123.

SkipintegerOptional

Rows to skip, used for paging. Default is 0.

TakeintegerOptional

Rows to return, used for paging. Default is 10, limit is 10.

ProvidersarrayOptional

List of availability providers. See /Common/GetCommonEnumerators endpoint for complete list.

DeliveryMethodsarrayOptional

List of availability delivery methods. See /Common/GetCommonEnumerators endpoint for complete list.

OfferTypesarrayOptional

List of availability offer types. See /Common/GetCommonEnumerators endpoint for complete list.

VideoQualitiesarrayOptional

List of availability video qualities. See /Common/GetCommonEnumerators endpoint for complete list.

ProgramTypesarrayOptional

List of program types. See /Common/GetCommonEnumerators endpoint for complete list.

AvailabilityCountriesarrayOptional

List of 2 character country codes.

GenresarrayOptional

List of genres (movie and show).

ThemesarrayOptional

List of themes (movie and show).

TagsarrayOptional

List of tags (movie and show).

CertificationsarrayOptional

List of certifications for movie and show.

PersonNamesarrayOptional

List of names. Maximum of 3.

PeopleIdsarrayOptional

Person Ids. Currently supports one person.

JobsarrayOptional

List of Jobs a contributor can have.

ReleaseTypesarrayOptional

List of release types for both movie and show.

ReleaseCountriesarrayOptional

List of 2 character country codes when filtering on releases.

YearRange_StartintegerOptional

Filter results based on start and end original release year.

YearRange_EndintegerOptional

Filter results based on start and end original release year.

ReleaseDateRange_StartstringOptional

Filter results based on any release date range.

ReleaseDateRange_EndstringOptional

Filter results based on any release date range.

OriginalReleaseDateRange_StartstringOptional

Filter results based on original release date range.

OriginalReleaseDateRange_EndstringOptional

Filter results based on original release date range.

PackagestringOptional

Package is based on subscription which will be set at the customer level.

TitlestringOptional

Title search.

ShowIdstringOptional

Filter results to match a show. Use for locating seasons and episodes for a show.

SeasonIdstringOptional

Filter results to match a season. Use for locating episodes for a season.

IncludesarrayOptional

Include sub objects from the program

CulturestringOptional

Specify the country and language

ExternalIdstringOptional

Filter results matching external Id

ExternalIdTypestringOptional

Filter results matching external Id

CompanyNamestringOptional

Filter results matching company name

HasVideobooleanOptional

Filter results based on having video content

VideoIdarrayOptional

Filter results based on matching Video ID.

VideoTargetCountriesarrayOptional

List of 2 character country codes when filtering on video target countries.

VideoTargetLanguagesarrayOptional

Specify video target languages. This takes into consideration both language spoken and language subtitled.

SortByTimeStampbooleanOptional

Sort results based on last modified descending. Default is sorted by _score. DEPRECIATED! Use SortBy instead.

SortBystringOptional

SortBy

ModifiedRecordsSincestringOptional

Filter results based on timestamp. Returns >= value timestamp (UTC) provided.

OriginatingNetworksarrayOptional

The Network the current first run shows appear on. Ex: ABC, NBC, Netflix, etc.

StatusarrayOptional

The status of the movie or show. Ex: Returning_Series, in_production, etc.

OriginalLanguagesarrayOptional

The original language of the program.

RevenueintegerOptional

Filter results where movie revenue is greater than or equal to this value.

BudgetintegerOptional

Filter results where movie budget is greater than or equal to this value.

Minimum_IvaRatingintegerOptional

Filter results with a minimum Rating greater than or equal to this value. (0 to 100)

Minimum_EncodeDatestringOptional

Filter results based on encode date.

IncludeDeletedbooleanOptional

Include Soft Deleted Records. Default (false)

TrendSourceIdsarrayOptional

Program Trend Source Ids. Ex: 2,3.

TrendBrandsarrayOptional

Program Trend Brands. Ex: IMDB,IVA

TrendCountriesarrayOptional

Program Trend Countries. Ex: US,CA.

TrendListClassifiersarrayOptional

Program Trend List Classifiers. Ex: AVOD,SVOD.

MissingExternalIdNamesarrayOptional

List of External ID Names that will be used to find where they DO NOT exist.

BasedOnsarrayOptional

List of string

BasedOnInstanceOfsarrayOptional

List of string

FilmingLocationsarrayOptional

List of string

NarrativeLocationsarrayOptional

List of string

TimePeriodsarrayOptional

List of string

SubjectsarrayOptional

List of string

MicroGenresarrayOptional

List of string

AwardYearsarrayOptional

List of award years to filter on.

AwardTypesarrayOptional

List of award types Ex: Academy, GoldenGlobe, etc.

AwardCategoryTypesarrayOptional

List of award category types Ex: BestPicture, BestActor, etc.

AwardProgramIdsarrayOptional

Limit to awards based on ProgramIds.

AwardPersonIdsarrayOptional

Limit to awards based on PersonIds.

AwardWinnersbooleanOptional

Limit to award winners.

MatureVideobooleanOptional

Limit to programs that have mature video content.

NextPageTokenstringOptional

Used for deep paging of record (typically beyond 10,000). Provide the NextPageToken returned from search results when using Timestamp sorting for optimal performance while paging large result sets. Skip is ignored when this parameter is provided.

CollectionIdsarrayOptional

Filter programs by list of CollectionIds

CollectionTypesarrayOptional

List of collection types.

ProgramChangeEntitiesarrayOptional

List of program change entities.

Responses
chevron-right
200

OK.

SearchEntertainmentResponse

Tookinteger · int64Optional
Totalinteger · int64Optional
MaxScorenumber · doubleOptional
MessagestringOptional
NextPageTokenstringOptional
post
/Search/
get

Get a paged list of IVA Movie Ratings

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Skipinteger · int32Required

Used for paging result set.

Takeinteger · int32Required

Required. Max size is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

IvaRatingsResponse

MovieIdstringOptional
ShowIdstringOptional
GameIdstringOptional
PersonIdstringOptional
Ratingnumber · doubleOptional
Modifiedstring · date-timeOptional
get
/MovieRatings
get

Get a paged list of IVA Show Ratings

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Skipinteger · int32Required

Used for paging result set.

Takeinteger · int32Required

Required. Max size is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

IvaRatingsResponse

MovieIdstringOptional
ShowIdstringOptional
GameIdstringOptional
PersonIdstringOptional
Ratingnumber · doubleOptional
Modifiedstring · date-timeOptional
get
/ShowRatings
get

Get a paged list of IVA Celebrity Ratings

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Skipinteger · int32Required

Used for paging result set.

Takeinteger · int32Required

Required. Max size is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

IvaRatingsResponse

MovieIdstringOptional
ShowIdstringOptional
GameIdstringOptional
PersonIdstringOptional
Ratingnumber · doubleOptional
Modifiedstring · date-timeOptional
get
/CelebrityRatings
get

Get suggestions based on prefix and field selection.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Sizeinteger · int32Optional

Rows to return, used for paging. Default is 10, limit is 50.

PackagestringOptional

Package is based on subscription which will be set at the customer level.

Fieldstring · enumRequired

List of available auto completion fields.

Possible values:
PrefixstringRequired

String prefix to use to locate matching strings based on Field selected.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

SearchEntertainmentAutoCompleteResponse

ProgramtypestringOptional
idstringOptional
SuggestionstringOptional
DescriptionstringOptional
Ivaratingnumber · doubleOptional
Genresstring[]Optional
Yearinteger · int32Optional
get
/Autocomplete/
get

Get suggestions based on prefix and field selection.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
IncludeGenresbooleanOptional

set to true if you want response to include genres.

Sizeinteger · int32Optional

Rows to return, used for paging. Default is 10, limit is 50.

PackagestringOptional

Package is based on subscription which will be set at the customer level.

PrefixstringRequired

String prefix to use to locate matching strings based on Field selected.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

TitleLookup

IDstringOptional
ProgramTypestringOptional
TitlestringOptional
Yearinteger · int32Optional
ShowIdstringOptional
IvaRatinginteger · int32Optional
RelevanceScoreinteger · int32Optional
Genresstring[]Optional
get
/AutocompleteTitle/

Returns list of unique MovieId changes greater than or equal to date (UTC).

get

Use to get the ID's of the movies that have been added or changed and use /Movies/{ID} to get back the object with the updated data and replace in your database.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Datestring · date-timeRequired

Starting date <= when record has changed (Maximum of 30 days back). ISO 8601 Format: yyyy-mm-dd hh:mm:ss.ffffff0Z

Skipinteger · int32Required

Offset for paging. Default is 0.

Takeinteger · int32Required

Maximum number of rows returned. Default is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

MovieChangeHistoryResponse

MovieIdinteger · int64Optional

Unique ID of a Movie.

get
/Changes/Movies/History/

Returns list of unique MovieId and Entity changes greater than or equal to date (UTC).

get

Same as /Changes/Movies/History but with the specific entities that have changed inside the MovieResponse.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Datestring · date-timeRequired

Starting date <= when record has changed (Maximum of 30 days back). ISO 8601 Format: yyyy-mm-dd hh:mm:ss.ffffff0Z

Skipinteger · int32Required

Offset for paging. Default is 0.

Takeinteger · int32Required

Maximum number of rows returned. Default is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

MovieChangeHistoryWithEntityResponse

MovieIdinteger · int64Optional

Unique ID of a Movie.

EntitystringOptional

Object belonging to Movie that has changed.

get
/Changes/Movies/HistoryWithEntity/

Returns list of unique ShowId changes greater than or equal to date (UTC).

get

All new and updated shows from requested date and time. When a record gets updated, use the ID to get the full show object and replace the data in your cache.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Datestring · date-timeRequired

Starting date <= when record has changed (Maximum of 30 days back). ISO 8601 Format: yyyy-mm-dd hh:mm:ss.ffffff0Z

Skipinteger · int32Required

Offset for paging. Default is 0.

Takeinteger · int32Required

Maximum number of rows returned. Default is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

ShowChangeHistoryResponse

ShowIdinteger · int64Optional

ID of the Show.

get
/Changes/Shows/History/

Returns list of unique ShowId and Entity changes greater than or equal to date (UTC).

get

Returns a list of ShowId and entity of any show that has been updated.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Datestring · date-timeRequired

Starting date <= when record has changed (Maximum of 30 days back). ISO 8601 Format: yyyy-mm-dd hh:mm:ss.ffffff0Z

Skipinteger · int32Required

Offset for paging. Default is 0.

Takeinteger · int32Required

Maximum number of rows returned. Default is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

ShowChangeHistoryWithEntityResponse

ShowIdinteger · int64Optional

ID of the Show.

EntitystringOptional

Object belonging to Show that has changed.

get
/Changes/Shows/HistoryWithEntity/

Returns list of unique SeasonId changes greater than or equal to date (UTC).

get

Use if you want to check for specific updates to season records.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Datestring · date-timeRequired

Starting date <= when record has changed (Maximum of 30 days back). ISO 8601 Format: yyyy-mm-dd hh:mm:ss.ffffff0Z

Skipinteger · int32Required

Offset for paging. Default is 0.

Takeinteger · int32Required

Maximum number of rows returned. Default is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

SeasonChangeHistoryResponse

SeasonIdinteger · int64Optional

ID of the Season.

get
/Changes/Seasons/History/

Returns list of unique SeasonId and Entity changes greater than or equal to date (UTC).

get

Returns list of new or changed SeasonIds with the entity that has changed.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Datestring · date-timeRequired

Starting date <= when record has changed (Maximum of 30 days back). ISO 8601 Format: yyyy-mm-dd hh:mm:ss.ffffff0Z

Skipinteger · int32Required

Offset for paging. Default is 0.

Takeinteger · int32Required

Maximum number of rows returned. Default is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

SeasonChangeHistoryWithEntityResponse

SeasonIdinteger · int64Optional

ID of the Season.

EntitystringOptional

Object belonging to Season that has changed.

get
/Changes/Seasons/HistoryWithEntity/

Returns list of unique EpisodeId changes greater than or equal to date (UTC)

get

For each updated episode ID, pull the full episode data for that ID and update.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Datestring · date-timeRequired

Starting date <= when record has changed (Maximum of 30 days back). ISO 8601 Format: yyyy-mm-dd hh:mm:ss.ffffff0Z

Skipinteger · int32Required

Offset for paging. Default is 0.

Takeinteger · int32Required

Maximum number of rows returned. Default is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

EpisodeChangeHistoryResponse

EpisodeIdinteger · int64Optional

ID of the Episode.

get
/Changes/Episodes/History/

Returns list of unique EpisodeId and Entity changes greater than or equal to date (UTC).

get

Lists each episode ID that has changed as well as the entity in the object that changed.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Authorize requests passing your apiKey in HTTP header.

subscription-KeystringRequired

Authorize requests passing your apiKey in Querystring.

Query parameters
Datestring · date-timeRequired

Starting date <= when record has changed (Maximum of 30 days back). ISO 8601 Format: yyyy-mm-dd hh:mm:ss.ffffff0Z

Skipinteger · int32Required

Offset for paging. Default is 0.

Takeinteger · int32Required

Maximum number of rows returned. Default is 1,000.

Header parameters
Acceptstring · enumRequired

Accept Header

Possible values:
Responses
chevron-right
200

OK.

EpisodeChangeHistoryWithEntityResponse

EpisodeIdinteger · int64Optional

ID of the Episode.

EntitystringOptional

Object belonging to Episode that has changed.

get
/Changes/Episodes/HistoryWithEntity/

Last updated